Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85558

Summary: Screen flashing when using v4l overlay devices
Product: [Retired] Red Hat Linux Reporter: Veit Wahlich <cru>
Component: XFree86Assignee: Mike A. Harris <mharris>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-01-10 17:28:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Veit Wahlich 2003-03-04 12:27:05 UTC
Description of problem:
(Note: I use a 2 screen Xinerama system)
Using a TV card (with XawTV, Zapping and MoTV) something (I suppose Metacity as
it works fine using sawfish) begins to re-draw the whole screen at the moment
some window towers into the overlaying area. In grabbing mode this works just
fine - but is unusable as it eats up all CPU power...
This does not always happen, sometimes (for a whole Gnome session) it works very
well as used from using sawfish.


Version-Release number of selected component (if applicable):
2.4.34-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Have an v4l overlay area on the screen.
2. Move some window to overlay the overlay area.
3. Screen flashes.
4. Try to work in the window that towers into the overlay area.
5. Screen flashes at every change of the window content.
6. If it works fine, restart Gnome/System.
    

Actual Results:  Nerving screen flashes.

Expected Results:  Non-nerving behavior.

Additional info:

Comment 1 Havoc Pennington 2003-10-03 21:49:48 UTC
Really has to be an X issue I would think, though doubtless there's some window
manager interaction. Perhaps related to Xcursor or something.

Comment 2 Mike A. Harris 2003-10-03 23:57:25 UTC
What video card are you using?  Please attach your X server log file, config
file and /var/log/messages file.

Comment 3 Mike A. Harris 2004-01-10 17:27:47 UTC
Closing bug due to inactivity and lack of information.  Feel free
to supply the requested information and reopen if the problem is
still present in Fedora Core 1 with all updates applied.